%{?!_initdir: %define _initdir /etc/init.d}

Summary: HTTP server daemon with SSL
Name: apache
Version: 2.0.59
Release: 2tr
Group: Trustix Official
Source0: http://httpd.apache.org/dist/httpd/httpd-%{version}.tar.bz2
Source3: httpd.init
Source4: httpd.log
Source5: gendummycerts
Source6: httpd2.conf
Source7: SmallSSL.gif
Source8: trustix-html.tar.gz
Patch0: apache_2.0.45-trustix.patch
Patch1: apache-2.0.59-CVE-2006-5752.patch
Patch2: apache-2.0.59-CVE-2007-3304.patch
Patch3: apache-2.0.59-CVE-2007-1863.patch
License: BSD-like
Obsoletes: libapr
Provides: apache-ssl securewebserver webserver apache
BuildRoot: /var/tmp/%{name}-root
Requires: initscripts >= 3.25
Requires: openssl >= 0.9.6e
Requires: mailcap 
Requires: expat-libs
Requires: %{name}-html
Prereq: /sbin/restart_maybe chkconfig
BuildRequires: openssl-devel >= 0.9.6e, expat-devel, gdbm-devel, db4-devel
BuildRequires: openldap-devel
URL: http://www.apache.org/

%description
Apache is a full featured web server that is freely available, and also
happens to be the most widely used.

Built with loadable modules (all standard modules enabled).
This verion is intended as a replacement for a standard apache, the
configuration files provided with apache and apache-ssl are unchanged.

%package suexec
Group: Trustix Official
Summary: Apache suexec wrapper
Requires: %{name} = %{version}-%{release}

%description suexec
The suexec feature provides Apache users the ability to run CGI and
SSI programs under user IDs different from the user ID of the calling
web-server.

%package html
Group: Trustix Official
Summary: The Trustix default pages
Requires: %{name}

%description html
This is the Trustix default web pages.


%package dbm
Group: Trustix Official
Summary: The Apache data base manager
Requires: perl

%description dbm
The apache-dbm package contains the dbmanager binary.

%package devel
Group: Trustix Official
Summary: Development tools for the Apache Web server.
Obsoletes: libapr-devel
Requires: perl
Requires: %{name} = %{version}-%{release}

%description devel
The apache-devel package contains the development libraries and header files
for the Apache Web server and the APXS binary you'll need to build Dynamic
Shared Objects (DSOs) for Apache.

If you are installing the Apache Web server, and you want to be
able to compile or develop additional modules for Apache, you'll
need to install this package.

%package manual
Group: Trustix Official
Summary: The manual for the Apache HTTPd.

%description manual
The manual for the Apache HTTP server.

%prep
%setup -q -n httpd-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CFLAGS=${RPM_OPT_FLAGS} ./configure \
        %{_target_platform} \
	--enable-layout=Trustix \
	--enable-mods-shared=all \
	--enable-auth-dbm=shared \
	--enable-auth-digest=shared \
	--enable-bucketeer=shared \
	--enable-cache=shared \
	--enable-cern-meta=shared \
	--enable-cgi=shared \
	--enable-dav-fs=shared \
	--enable-dav=shared \
	--enable-deflate=shared \
	--enable-disk-cache=shared \
	--enable-ext-filter=shared \
	--enable-file-cache=shared \
	--enable-headers=shared \
	--enable-http \
	--enable-logio=shared \
	--enable-mem-cache=shared \
	--enable-mime-magic=shared \
	--enable-proxy-ftp=shared \
	--enable-proxy-http=shared \
	--enable-proxy=shared \
	--enable-rewrite=shared \
	--enable-so \
	--enable-speling=shared \
	--enable-ssl=shared \
	--enable-unique-id=shared \
	--enable-usertrack=shared \
	--enable-access=static \
	--enable-auth=static \
	--enable-include=static \
	--enable-log_config=static \
	--enable-env=static \
	--enable-setenvif=static \
	--enable-mime=static \
	--enable-status=static \
	--enable-autoindex=static \
	--enable-asis=static \
	--enable-suexec=static \
	--enable-negotiation=static \
	--enable-dir=static \
	--enable-imap=static \
	--enable-actions=static \
	--enable-userdir=static \
	--enable-alias=static \
	--with-ldap --enable-ldap --enable-auth-ldap \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir}/apache \
	--with-mpm=prefork \
	--with-perl=/usr/bin/perl \
	--with-suexec-bin=/usr/sbin/suexec \
	--with-suexec-caller=httpd \
	--with-suexec-docroot=/home/httpd

make
#make certificate TYPE=dummy

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

# Remove silly html pages, copy in our own index.html
rm $RPM_BUILD_ROOT/home/httpd/html/index.html*
cd $RPM_BUILD_ROOT/home/httpd/html/
tar zxvf %SOURCE8
cd -

# Install rc-script
mkdir -p $RPM_BUILD_ROOT%{_initdir}
install $RPM_SOURCE_DIR/httpd.init $RPM_BUILD_ROOT%{_initdir}/httpd

ln -s ../../var/log/httpd $RPM_BUILD_ROOT/etc/httpd/logs
ln -s ../..%{_libdir}/apache $RPM_BUILD_ROOT/etc/httpd/modules

mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/certs
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d

# Logrotate
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m644 $RPM_SOURCE_DIR/httpd.log $RPM_BUILD_ROOT/etc/logrotate.d/httpd

# Move certain binaries to their correct place
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
install $RPM_SOURCE_DIR/gendummycerts $RPM_BUILD_ROOT/usr/bin/gendummycerts
#mv $RPM_BUILD_ROOT/home/httpd/sbin/httpd $RPM_BUILD_ROOT/usr/sbin/httpd
mkdir -p $RPM_BUILD_ROOT/var/log/httpd
mkdir -p $RPM_BUILD_ROOT/var/spool/proxy
mkdir $RPM_BUILD_ROOT/home/httpd/cache
mkdir $RPM_BUILD_ROOT/home/httpd/sites

install -m644 $RPM_SOURCE_DIR/httpd2.conf \
        $RPM_BUILD_ROOT/etc/httpd/conf/httpd.conf

find $RPM_BUILD_ROOT -type f | \
        xargs grep -l "/usr/local/bin/perl5" | \
        xargs perl -pi -e "s|/usr/local/bin/perl5|/usr/bin/perl|g;"
find $RPM_BUILD_ROOT -type f | \
        xargs grep -l "/usr/local/bin/perl" | \
        xargs perl -pi -e "s|/usr/local/bin/perl|/usr/bin/perl|g;"


# Da vacuum cleaner
rm -f $RPM_BUILD_ROOT/home/httpd/html/*.gif || :
rm -f $RPM_BUILD_ROOT/home/httpd/html/*.png || :
rm -f $RPM_BUILD_ROOT/home/httpd/cgi-bin/* || :
rm -f docs/conf/magic || :
rm -f docs/conf/mime-types || :
for i in highperformance-std.conf highperformance.conf httpd-std.conf \
         ssl-std.conf ssl.conf; do
         mv $RPM_BUILD_ROOT/etc/httpd/conf/$i docs/conf/
done 

rm -f $RPM_BUILD_ROOT%{_libdir}/libexpat.* || :

#
# Command line arguments in /etc/sysconfig/httpd:
#
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig
cat << __EOF__ > ${RPM_BUILD_ROOT}/etc/sysconfig/httpd
# Command line arguments here
HTTPDARGS=""
__EOF__


%pre
if [ -z "`getent group httpd`" ]; then
        /usr/sbin/groupadd -g 109 httpd
fi
if [ -z "`getent passwd httpd`" ]; then
        /usr/sbin/useradd -d /no/dir -M -s /bin/false \
        -g httpd -u 109 httpd
fi 

%post
# Adding nessesary symlinks.
chkconfig --add httpd

# Restart service after upgrade.
if [ $1 = 2 ]; then
	/sbin/restart_maybe httpd
fi


%preun
if [ $1 = 0 ]; then
   if [ -f /mnt/lockdev/httpd ]; then
       %{_initdir}/httpd stop
   fi
   /sbin/chkconfig --del httpd
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"



%files
%defattr(-,root,root,0755)
%doc ABOUT_APACHE CHANGES INSTALL LICENSE README README.platforms VERSIONING
%config(noreplace) /etc/httpd/conf/*.conf
%config(noreplace) /etc/httpd/conf/magic
%config(noreplace) /etc/logrotate.d/httpd
%config(noreplace) /etc/sysconfig/httpd
%dir /etc/httpd
%dir /etc/httpd/conf
%dir /etc/httpd/conf.d
%dir /home/httpd
%dir /home/httpd/html
%doc docs/conf docs/cgi-examples
%{_initdir}/httpd
%{_mandir}/man1/htpasswd.1.gz
%{_mandir}/man1/htdigest.1.gz
%{_mandir}/man8/httpd.8.gz
%{_mandir}/man8/logresolve.8.gz
%{_mandir}/man8/ab.8.gz
%{_mandir}/man8/apachectl.8.gz
%{_mandir}/man8/rotatelogs.8.gz

/etc/httpd/conf/certs
/etc/httpd/logs
/etc/httpd/modules
/home/httpd/build
/home/httpd/cache
/home/httpd/cgi-bin
/home/httpd/error
/home/httpd/icons
/home/httpd/sites
/usr/bin/*
%{_libdir}/*.so.*
%{_libdir}/apache
/usr/sbin/htpasswd
/usr/sbin/htdigest
/usr/sbin/rotatelogs
/usr/sbin/logresolve
/usr/sbin/ab
/usr/sbin/checkgid
/usr/sbin/htdbm
/usr/sbin/apachectl
/usr/sbin/envvars-std
/usr/sbin/envvars
/usr/sbin/httpd
/var/log/httpd
/var/spool/proxy

%files suexec
%defattr(-,root,root,755)
/usr/sbin/suexec
%{_mandir}/man8/suexec.8.gz

%files html
%defattr(-,root,root,0755)
%config(noreplace) /home/httpd/html/*.css
%config(noreplace) /home/httpd/html/*.html
/home/httpd/html/images

%files dbm
%defattr(-,root,root,0755)
/usr/sbin/dbmmanage
/usr/sbin/httxt2dbm
%{_mandir}/man1/dbmmanage.1.gz

%files devel
%defattr(-,root,root,0755)
/usr/sbin/apxs
%{_mandir}/man8/apxs.8.gz
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
/usr/include/apache

%files manual
%defattr(-,root,root,0755)
/home/httpd/html/manual


%changelog
* Thu Aug 23 2007 Nived Gopalan <nived at trustix dot org> 2.0.59-2tr
- SECURITY Fix: A cross-site scripting vulnerability exits in
  mod_status.c, when ExtendedStatus is enabled and a public
  server-status page is used. This allows remote attackers to inject
  arbitrary web script or HTML via unspecified vectors involving
  charsets with browsers that perform "charset detection" when the
  content-type is not specified.
- Fixes an error in the Multi-Processing Module (MPM) which could be
  exploited to send signals to arbitrary processes and cause them to
  be terminated.
- A bug was found in the mod_cache module. On sites where caching is
  enabled, a remote attacker could send a carefully crafted request
  that would cause the Apache child process handling that request to
  crash. This could lead to a denial of service if using a threaded
  Multi-Processing Module.

  The Common Vulnerabilities and Exposures project has assigned the
  names CVE-2006-5752, CVE-2007-3304 and CVE-2007-1863 to these issues.

* Thu Aug 31 2006 Nived Gopalan <nived at trustix dot org> 2.0.59-1tr
- New Upstream.

* Mon Jul 31 2006 Nived Gopalan <nived at trustix dot org> 2.0.55-5tr
- SECURITY Fix: A vulnerability has been reported in Apache HTTP Server,
  which potentially can be exploited by malicious people to compromise
  a vulnerable system. The vulnerability is caused by a off-by-one error
  in mod_rewrite within the ldap scheme handling and can be exploited
  to cause a one-byte buffer overflow.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-3747 to this issue.

* Wed Dec 28 2005 Ajith Thampi <ajith at trustix dot org> 2.0.55-4tr
- Remove apache dependency on apache-suexec
		
* Mon Dec 19 2005 Nived Gopalan <nived at trustix dot org> 2.0.55-3tr
- SECURITY Fix: Cross-site scripting (XSS) vulnerability in the mod_imap
  module which allows remote attackers to inject arbitrary web script or
  HTML via the Referer when using image maps.
- mod_ssl: Fix a possible crash during access control checks if a non-SSL
  request is processed for an SSL vhost.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2005-3352 and CVE-2005-3357 to these issues.

* Mon Oct 17 2005 Ajith Thampi <ajith at comodo dot com> 2.0.55-1tr
- New Upstream and Multiple Security Fixes
- SECURITY Fix: CAN-2005-2700, CAN-2005-2491, CAN-2005-2088, CAN-2005-2728,
  CAN-2005-2088, CAN-2005-1268 .
- Fix core dump if mod_auth_ldap's mod_auth_ldap_auth_checker() was called
  even if mod_auth_ldap_check_user_id() was not (or if it didn't succeed)
  for non-authoritative cases.
- mod_proxy: Fix over-eager handling of '%' for reverse proxies.
- mod_ldap: Fix various shared memory cache handling bugs.

* Fri Sep 09 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.0.54-8tr
- SECURITY: security fix for SSLVerifyClient, byterange filter DoS
- ssl_engine_kernel.c in mod_ssl before 2.8.24, when using "SSLVerifyClient
  optional" in the global virtual host configuration, does not properly enforce
  "SSLVerifyClient require" in a per-location context, which allows remote attackers
  to bypass intended access restrictions.
- The byte-range filter in Apache 2.0 allows remote attackers to cause a denial
  of service (memory consumption) via an HTTP header with a large Range field.

  The Common Vulnerabilities and Exposures project has assigned the
  name CAN-2005-2700 and CAN-2005-2728 to this issue.

* Mon Aug 29 2005 Ajith Thampi <ajith at comodo dot com> 2.0.54-7tr
- Fix Integer overflow in pcre_compile.c which allows attackers to
  execute arbitrary code via quantifier values in regular expressions,
  which leads to a heap-based buffer overflow.

  The Common Vulnerabilities and Exposures project has assigned the
  name CAN-2005-2491 to this issue.
		
* Tue Aug 09 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.0.54-6tr
- Now package suexec in apache-suexec, Fix Bug #1163.

* Mon Jul 25 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.0.54-5tr
- Security Fix:
- Watchfire reported a flaw that occured when using the Apache server as an
  HTTP proxy.  A remote attacker could send an HTTP request with both a
  "Transfer-Encoding: chunked" header and a "Content-Length" header.  This
  caused Apache to incorrectly handle and forward the body of the request in
  a way that the receiving server processes it as a separate HTTP request.
  This could allow the bypass of Web application firewall protection or lead
  to cross-site scripting (XSS) attacks.

- Marc Stern reported an off-by-one overflow in the mod_ssl CRL verification
  callback.  In order to exploit this issue the Apache server would need to
  be configured to use a malicious certificate revocation list (CRL).

  The Common Vulnerabilities and Exposures project (cve.mitre.org) assigned the
  name CAN-2005-2088 and CAN-2005-1268 to this issue.

* Wed Jun 01 2005 Ajith Thampi <ajith at comodo dot com> 2.0.54-4tr
- Rebuilt with mod_perl to activate changes to Apache2, Bug #811
- Fixing default httpd.conf to reflect correct locations, Bug #701
	
* Tue May 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.0.54-3tr
- Added Requires: apache for devel package, Fix Bug #618

* Wed Apr 27 2005 Nived Gopalan <nived at comodo dot com> 2.0.54-2tr
- Fixed logrotate, Bug #454

* Tue Apr 19 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.0.54-1tr
- New Upstream

* Tue Mar  1 2005 Erlend Midttun <erlendbm at trustix dot org> 2.0.53-2tr
- Change SSL config section.  Bug #30.

* Mon Feb 28 2005 Erlend Midttun <erlendbm at trustix dot org> 2.0.53-1tr
- New upstream.
- Added LDAP support.

* Thu Nov 18 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0.52-6tr
- Fix for CAN-2004-0942

* Tue Nov  9 2004 Oystein Viggen <oysteivi at trustix dot com> 2.0.52-5tr
- Rebuild for dynamic openssl

* Fri Oct 22 2004 Oystein Viggen <oysteivi at trustix dot com> 2.0.52-3tr
- New upstream
- Updated default index.html page
- Erlend split default html pages into a separate package

* Thu Sep 23 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0.51-3tr
- Fix CAN-2004-0811

* Tue Sep 21 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0.51-2tr
- Add some checking to the init script.

* Thu Sep 16 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0.51-1tr
- New upstream fixes CAN-2004-0786 CAN-2004-0747 CAN-2004-0751 
  CAN-2004-0748 and CAN-2004-0809

* Thu Jul 22 2004 Oystein Viggen <oysteivi at trustix dot com> 2.0.50-2tr
- New upstream

* Tue Jun 29 2004 Oystein Viggen <oysteivi at trustix dot com> 2.0.49-9tr
- Add patch for CAN-2004-0493 DoS issue

* Wed Jun  2 2004 Chr. Toldnes <christht at trustix dot org> 2.0.49-8tr
- rebuild on correct openssl

* Wed Jun  2 2004 Chr. Toldnes <christht at trustix dot org> 2.0.49-7tr
- Added patch to fix CAN-2004-0488

* Wed Apr 28 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0.49-6tr
- HTTPDDARGS to HTTPDARGS in /etc/sysconfig/httpd

* Thu Apr 22 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0.49-5tr
- Now build the base modules static instead of shared.  This for compliance with the
  released version.
- Do not force loading of modules from /usr/lib.

* Thu Apr 22 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0.49-4tr
- Build all modules shared.

* Tue Apr  6 2004 Oystein Viggen <oysteivi at trustix dot com> 2.0.49-3tr
- Don't hardcode lib directory name

* Fri Mar 26 2004 Oystein Viggen <oysteivi at trustix dot com> 2.0.49-2tr
- Bump release to make sure we're newer than the package in Cloud

* Tue Mar 23 2004 Chr. Toldnes <christht at trustix dot org> 2.0.49-1tr
- New upstream version

* Mon Mar  1 2004 Erlend Midttun <erlendbm at trustix dot com> 2.0.48-8tr
- Added more modules.

* Mon Feb  9 2004 Chr. Toldnes <christht at trustix dot org> 2.0.48-6tr
- apxs moved to -devel
- new sub package: dbm
- command line arguments in /etc/sysconfig/httpd
- Built with correct cflags (LSF).
- specfile renamed apache.spec

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.48-5tr
- Rebuilt.

* Wed Dec  3 2003 Chr. Toldnes <christht at trustix dot org> 2.0.48-4ct
- Use external expat

* Wed Nov 19 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.48-3tr
- Added sites directory.

* Tue Nov 18 2003 Tor Hveem <torh at trustix dot org> 2.0.48-2th
- Some tawie->trustix fixes

* Mon Nov 17 2003 Tor Hveem <torh at trustix dot org> 2.0.48-1th
- New upstream

* Mon Oct 13 2003 Nico Erfurth <masta at tawie dot org> 2.0.47-9ne
- Added 64bit file support
- Fixed usage of CFLAGS

* Sat Oct  4 2003 Michael Scheffler <duke at duke dot de> 2.0.47-8ms
- Minor changes to index.html

* Fri Oct  3 2003 Michael Scheffler <duke at duke dot de> 2.0.47-7ms
- Updated default index.html

* Sun Sep 28 2003  Chr. Toldnes <christht at tawie dot org> 2.0.47-6tsl
- Port to tawie

* Fri Sep 26 2003  Chr. Toldnes <christht at tawie dot org> 2.0.47-5tr
- Rebuilt and retagged

* Fri Sep 26 2003 Tor Hveem <torh at trustix dot org> 2.0.47-4th
- Fixed up suexec

* Fri Sep 12 2003 Tor Hveem <torh at trustix dot org> 2.0.47-3th
* Included dav modules, and auth-digest module 

* Thu Jul 10 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.47-2tr
- Take II, now woth changes from 46-6tr.

* Thu Jul 10 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.47-1tr
- New upstream, closes serveral security related problems.

* Fri Jul  8 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.46-6tr
- Removed directory browsing by default.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.46-5tr
- Big rebuild

* Tue Jun 10 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.46-4em
- Added WAP headers.
- Added missingok and notifempty to logrotate-config.

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.46-3em
- Try to resolve file conflicts.

* Fri May 30 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.46-2em
- Merge the packages.

* Thu May 29 2003 Gerald Dachs <gda at trustix dot org> 2.0.46-1gd
- Upgrade to 2.0.46

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.45-3em
- Fixed creation of home directory.

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.45-2em
- Cleaned up config.  No longer load proxy modules.
- Added httpd user/group

* Fri Apr  4 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.45-1em
- Upgrade to 2.0.45

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.44-4em
- Rebuilt against glibc 2.3.2.

* Fri Feb 28 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.44-3em
- Major cleanup of spec file.
- Major cleanup of /etc/httpd.
- Major cleanup of /home/httpd.
- Created manual package.

* Wed Feb 19 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.44-2em
- Added Include directory.
- Added commented out PHP4 module line.

* Wed Jan 22 2003 Tor Hveem <torh at trustix dot org> 2.0.44-1th
- new version

* Sat Jan 18 2003 Gerald Dachs <gda at trustix dot org> 2.0.43-4gd
- rebuild against openssl 0.9.7
- Make initscript use lockdev instead of .lockdev

* Tue Jan  7 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.43-3em
- Make initscript use .lockdev instead of lockdev
- Use initdir macro
- Removed axps from -devel so that it is part of main package.

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 2.0.43-2ct
- httpd initscript now uses $INITLOCK

* Tue Oct  8 2002 Gerald Dachs <gda at trustix dot org> 2.0.43-1gd
- new upstream version

* Fri Sep 13 2002 Nico Erfurth <masta at trustix dot org> 2.0.40-2ne
- Splitted libapr into a seperate package
- fixed httpd.init to use the new init-directory

* Tue Aug 27 2002 Nico Erfurth <masta at trustix dot org> 2.0.40-1ne
- Updated to Apache 2.0.40
- FIXME: ssl-config, no certs are generated

* Wed Jul 17 2002 Roland Kruse <rolandk at trustix dot com> 1.3.26-4rk 
- rcscripts /etc/rc.d/init.d -> /etc/init.d

* Tue Jul 16 2002 Roland Kruse <rolandk at trustix dot com> 1.3.26-3rk
- Rebuild for Cloud (temporary, will be replaced with 2.x)

* Mon Jun 24 2002 Christian H. Toldnes <christht at trustix dot com> 1.3.26-2tr
- Update to mod_ssl-2.8.10 fixes buffer overflow

* Wed Jun 19 2002 Christian H. Toldnes <christht at trustix dot com> 1.3.26-1tr
- Update to apache-1.3.26 mod_ssl-2.8.9
- Added index.php to DirectoryIndex in httpd.conf
- Added missing file apachectl

* Wed May 15 2002 Erlend Midttun <erlendbm at trustix dot com>
- Seems openssl-devel is not needed as PreReq.  Moving to BuildRequires.

* Tue May 14 2002 Erlend Midttun <erlendbm at trustix dot com>
- Added Include /etc/httpd/conf.d in config file
- Added /etc/httpd/conf.d to allow applications to configure apache
  without fscking the normal config file.
- No longer remove apachectl as it provides more features than our
  SYSV scripts.  "apachectl configtest" for one.  Hopefully it will not
  break anything.
- Added poweredbytrustix.png.
- Resynced config file with default.

* Mon Apr 15 2002 Christian H. Toldnes <christht at trustix dot com>
- New upstream version: apache 1.3.24, modssl 2.8.8

* Fri Mar  1 2002 Christian H. Toldnes <christht at trustix dot com>
- Correct chkconfig handling in init script.

* Thu Feb 28 2002 Christian H. Toldnes <christht at trustix dot com>
- New upstream version: apache 1.3.23, modssl 2.8.7
- Added new set of files for default page.

* Mon Jan  7 2002 Christian H. Toldnes <christht at trustix dot com>
- Added %config(noreplace) for default html-pages.

* Thu Jan  3 2002 Christian H. Toldnes <christht at trustix dot com>
- Package cleanup.

* Wed Dec 19 2001 Erlend Midttun <erlendbm at trustix dot com>
- Fixed logrotate.  Take II.

* Thu Nov 29 2001 Erlend Midttun <erlendbm at trustix dot com>
- Removed poweredby.gif.
- Fixed logrotate.

* Thu Oct  4 2001 Erlend Midttun <erlendbm at trustix dot com>
- Fixed missing dependency of mailcap.

* Thu Jul 26 2001 Erlend Midttun <erlendbm at trustix dot com>
- Fixed version string to make webmin happy.

* Mon Jul 23 2001 Erlend Midttun <erlendbm at trustix dot com>
- Seems like we overwrote the config files. 

* Mon Jul  9 2001 Erlend Midttun <erlendbm at trustix dot com>
- Due to a large number of AOL users thinking we stole their favorite
  website, we've changed the "it worked" page.

* Mon Jun 18 2001 Erlend Midttun <erlendbm at trustix dot com>
- Second attempt at getting /var/log/httpd going.
- Added support for auth_dbm.

* Tue Jun 12 2001 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version.

* Mon Mar 19 2001 Alexander Reelsen <ar at trustix dot com>
- Updated to version 1.3.19
- Replaced apache-ssl with mod_ssl (now one package for SSL/non-SSL apache)
- Added apache-contrib module sources
- General spec file cleanup

* Sat Nov 25 2000 Oystein Viggen <oysteivi at trustix dot com>
- The new version needs --disable-shared=apache_ssl to actually work

* Wed Nov 22 2000 Olaf Trygve Berglihn <olafb at trustix dot com>
- Updated to version 1.3.14+ssl_1.42.

* Wed Oct 4 2000 Per Ivar Paulsen <perp at trustix dot com>
- Fixed mod-rewrite.c bug

* Tue Aug 15 2000 Oystein Viggen <oysteivi at trustix dot com>
- Security hole through typo in attr for /usr/sbin/httpsd fixed.

* Wed May 24 2000 Per Ivar Paulsen <perp at trustix dot com>
- Bugfix, downgrade to apache-ssl 1.39

* Wed May 3 2000 Per Ivar Paulsen <perp at trustix dot com>
- Update apache-ssl to 1.40

* Tue Mar 14 2000 Per Ivar Paulsen <perp at trustix dot com>
- Updated to apache 1.3.12 and apache-ssl 1.39

* Tue Feb 21 2000 Per Ivar Paulsen <perp at trustix dot com>
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS
- TODO: add better default configuration
- Added Apache 1.3.11 and apache_1.3.11+ssl_1.38.

